# Pyttman 
![Logo image](.github/cover.png)

## The digital assistant framework made for developers with ideas
[![PyPI version](https://badge.fury.io/py/Pyttman.svg)](https://badge.fury.io/py/Pyttman)

Welcome to Pyttman's GitHub repo!
Pyttman is a framework for developing digital assistants, chatbots or other language driven applications.
It abstracts away much of the tedious work in parsing words in messages to route the response to the correct 
component in your code. 

It also ships with a built in task scheduler, client support native for Discord, internal caching with soon-to-come support for MongoDB - and much more.

### Documentation

Check out the Pyttman [Wiki](https://github.com/dotchetter/Pyttman/wiki) for documentation and tutorials. 

### Contributions

Contributions are more than welcome - write your PR in a branch named 'contribution-<my_contrib>' ideally.
Why not join our [Discord](https://discord.gg/s2VMAcqGzC) and contribute with ideas and suggestions? Pyttman is a young project with rapid progress, so we're keen to learn and adapt to what you as developers want.


### Open source notices
On behalf of the Pyttman dev team, thank you to all developers who worked on the following dependencies:

* Pyttman uses [Py7zr](https://github.com/miurahr/py7zr) for extractions 
* Pyttman uses [MultiDict](https://github.com/aio-libs/multidict) in its scheduler API 
* Pyttman uses [pytz](https://pythonhosted.org/pytz/) for timezones
* Pyttman uses [requests](https://docs.python-requests.org/en/master/) in tools offering easier API integration
* Pyttman uses [discord.py](https://github.com/Rapptz/discord.py) when adding support for native development of apps integrated with the [Discord](https://discord.com/) platform. discord.Client and discord.Message are subclassed. 

